# see m4/${libname}.m4 />= for required version of particular library
%define		libcerror_ver	20190308
%define		libcthreads_ver	20190308
Summary:	Library for cross-platform C generic data functions
Summary(pl.UTF-8):	Biblioteka wieloplatformowych funkcji ogólnej obsługi danych w C
Name:		libcdata
Version:	20240414
Release:	1
License:	LGPL v3+
Group:		Libraries
#Source0Download: https://github.com/libyal/libcdata/releases
Source0:	https://github.com/libyal/libcdata/releases/download/%{version}/%{name}-alpha-%{version}.tar.gz
# Source0-md5:	2c239707be6b1019d5f494fe0f26a706
URL:		https://github.com/libyal/libcdata/
BuildRequires:	autoconf >= 2.71
BuildRequires:	automake >= 1.6
BuildRequires:	gettext-tools >= 0.21
BuildRequires:	libcerror-devel >= %{libcerror_ver}
BuildRequires:	libcthreads-devel >= %{libcthreads_ver}
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
Requires:	libcerror >= %{libcerror_ver}
Requires:	libcthreads >= %{libcthreads_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libcdata is a library for cross-platform C generic data functions.

%description -l pl.UTF-8
libcdata to biblioteka wieloplatformowych funkcji ogólnej obsługi
danych w C.

%package devel
Summary:	Header files for libcdata library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libcdata
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libcerror-devel >= %{libcerror_ver}
Requires:	libcthreads-devel >= %{libcthreads_ver}

%description devel
Header files for libcdata library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libcdata.

%package static
Summary:	Static libcdata library
Summary(pl.UTF-8):	Statyczna biblioteka libcdata
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libcdata library.

%description static -l pl.UTF-8
Statyczna biblioteka libcdata.

%prep
%setup -q

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcdata.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libcdata.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcdata.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcdata.so
%{_includedir}/libcdata
%{_includedir}/libcdata.h
%{_pkgconfigdir}/libcdata.pc
%{_mandir}/man3/libcdata.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libcdata.a
%changelog
* Mon Jun 17 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcdata.git;a=log;h=master

* Sun Jun 16 2024 Jakub Bogusz <qboosh@pld-linux.org> ccca1f9
- updated to 20240414

* Sun Feb 11 2024 Jakub Bogusz <qboosh@pld-linux.org> b3810a5
- updated to 20240103

* Sat Jun 17 2023 Jakub Bogusz <qboosh@pld-linux.org> 29820c5
- updated to 20230108

* Thu Jul 18 2019 Jakub Bogusz <qboosh@pld-linux.org> 5dd524a
- compact required versions comment

* Tue Jul 16 2019 Jakub Bogusz <qboosh@pld-linux.org> a1a6474
- updated to 20190112 (alpha)
- removed obsolete system-libs patch

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> c000654
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jan 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 70d9cb1
- updated to 20150102 (untagged, but required by libbfio 20150102)

* Sun Jan 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 7e4c612
- new

